#ifndef IDCT_H
#define IDCT_H

#include <dol.h>

#define PORT_IN1   "in1"
#define PORT_OUT1  "out1"

//local variables
typedef struct _local_states {
    int num_iter;
} Idct_State;

void idct_init(DOLProcess *);
int idct_fire(DOLProcess *);

#endif
